Subject: [lojban] Re: nai in UI (was: BPFK phpbb)

From: "And Rosta" <[email-masked]>
Date: Thu, 1 May 2003 00:30:20 +0100

jimc:
> On Wed, 30 Apr 2003, And Rosta wrote:
> > I have no problem with the Formal Grammar or Official Parser passing
> > nonsense. But any truly well-formed sentence of Lojban must be meaningful,
> > however silly or surreal that meaning is. A true parser will recognize
> > which strings are and aren't meaningful. A parser that ignores meaning
> > is nonsense, in the sense that it produces nothing useful 
> 
> Hey, wait a minute! Think modularity. There are morpheme streams that can
> or can't be split into valid Lojban words. There are word streams that can
> or can't be parsed into valid syntax trees. 

But I opine that a syntax tree is valid only if it is the syntax tree of
some sentence, and since a sentence is a pairing of a sound and a meaning,
a syntax tree is valid only if it yields a meaning.

> And there are semantic
> constructs that are or aren't Carroll-esque. The phrase "meaningful
> concept" is too vague to be a meaningful concept. 

I contend (a) that if we are dealing with language then we have to
engage with this notion of meaningfulness, since language is intrinsically
meaningful -- if you don't have meaning then you don't have language --
and (b) that a logical language like Lojban ought to spend a lot of
energy on firming up the definition of meaningfulness (e.g. a well-formed
logical formula, augmented by extralogical stuff like attitudinality
etc.).

> I would like to amend
> your pronouncement to say, a valid parser passes all valid word streams
> (putting out a correct syntax tree) and rejects all invalid word streams,
> where validity is judged from the grammar. In other words, the parser does
> or doesn't truly realize that grammar. (I.e. makes it real.) (And as a
> separate module, the semantic analyser may have an opinion about
> jabberwockishness.)
> 
> I'm sure we can come up with natlang examples where the parsing depends in
> an essential way on the meaning of the words (not just their syntactic
> category), but I can't think of one so early in the morning. 

Perhaps such examples or their lack is in the eye of the beholder. At
any rate, my view is that in every sentence the meaning results from
the parse -- the very function of the parse is to build the meaning.

> But that kind
> of a pain in the butt doesn't belong in Lojban. Think modularity!

But what is the purpose of this particular module? A language needs
a module that builds well-formed logical formula from lexical
primitives. I see no useful role for this putative module that is
blind to meaning.

--And.